WPMU Dev Dashboard plugin compatibility

We're trying to install this into a 3.5.1 WordPress but I can't tell if it's compatible. Please list the range of versions it is compatible with like WordPress' plugin site does.